cURL
curl https://api.aiql.io/patterns/ptn_6e4c/definition \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
definition = client.patterns.definition.get("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const definition = await client.patterns.definition.get("ptn_6e4c");{
"classes": [
{
"key": "<string>",
"name": "<string>",
"label": "<string>",
"comment": "<string>",
"required": true,
"is_anchor": false,
"shape": "step",
"render_as": "node",
"x": 123,
"y": 123,
"properties": [
{
"key": "<string>",
"name": "<string>",
"label": "<string>",
"data_type": "<string>",
"comment": "<string>",
"required": false,
"render_as": "badge"
}
]
}
],
"relationships": [
{
"key": "<string>",
"name": "<string>",
"domain_key": "<string>",
"range_key": "<string>",
"label": "<string>",
"comment": "<string>",
"required": true,
"cardinality": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patterns
Get Pattern Definition
GET
/
patterns
/
{id}
/
definition
cURL
curl https://api.aiql.io/patterns/ptn_6e4c/definition \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
definition = client.patterns.definition.get("ptn_6e4c")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const definition = await client.patterns.definition.get("ptn_6e4c");{
"classes": [
{
"key": "<string>",
"name": "<string>",
"label": "<string>",
"comment": "<string>",
"required": true,
"is_anchor": false,
"shape": "step",
"render_as": "node",
"x": 123,
"y": 123,
"properties": [
{
"key": "<string>",
"name": "<string>",
"label": "<string>",
"data_type": "<string>",
"comment": "<string>",
"required": false,
"render_as": "badge"
}
]
}
],
"relationships": [
{
"key": "<string>",
"name": "<string>",
"domain_key": "<string>",
"range_key": "<string>",
"label": "<string>",
"comment": "<string>",
"required": true,
"cardinality": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.